LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XEmbeddedObjectResolver Interface Referencepublished

this interface converts embedded object URLs from one URL space to another. More...

`import <XEmbeddedObjectResolver.idl;`

Inheritance diagram for XEmbeddedObjectResolver:

## Public Member Functions
string | resolveEmbeddedObjectURL ([in] string aURL)
| converts the given URL from the source URL namespace to the destination URL space of this instance.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

this interface converts embedded object URLs from one URL space to another.

## Member Function Documentation

## ◆ resolveEmbeddedObjectURL()

string resolveEmbeddedObjectURL | ( | [in] string | aURL | ) |

converts the given URL from the source URL namespace to the destination URL space of this instance.

The documentation for this interface was generated from the following file:

- com/sun/star/document/XEmbeddedObjectResolver.idl